BANK ACEH - Bug #2795

[Time-Report] Timesheet - Menit keterlambatan & Header filter
06/11/2024 10:38 AM - Johanes Christian Kurni

Status: Closed Start date: 06/11/2024
Priority: Immediate Due date:

Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear

Shofwan,

Mohon bantuannya:

1. Hanya attendance type hadir saja yang ditampilkan menit keterlambatannya
2. Hari libur menit keterlambatan tidak pelru ditampilkan

3. Jika terlambat maka row nya warna kuning

4. Headernya sudah ditambahakan field Employee Status & Employee Area

Untuk 4 point di atas dapat di update di report ini dan di sesusaikan.

Menu: HR > HR Administration > Time Management > Time Report > Timesheet
Port: http://aceh.minovais.com:61109/

Server: 45.251.75.66

DB: MinovaES_Aceh_Dev

Terima Kasih

History

#1 - 06/11/2024 11:51 AM - Johanes Christian Kurni

- File Contoh data attendance.xIsx added

#2 - 06/12/2024 11:31 AM - shofwan shiddiq

- File clipboard-202406121130-szimj.png added
- File clipboard-202406121131-gqbv8.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Johanes Christian Kurni

Sudah di revisi poin2 nya ya

07/05/2025
Kepercayaan dan Kemitraan

Report Result -
MinovaES Menu
» [ My Workplace (ESS) W41 ef1 b b Export
» [ Business Intelligence Nama AUFANUR ISTIQLAL Periode Timesheet ;01 January 2024 id 31 January 2024 -
NRK 18002233 Total Terlambat Pada Periode ;13390
~ [= Human Resource
EID : 00002069
~ [ HR Administration
» [ Organization Ma...
1| Tuesday | 02012024 Hadir 0737 1225 1301 1725 5.0
» [ Recruitment Ma... 2 |Wednesday| 03012024 Hadir 0744 1230 1350 1900 1710 1900 183 50
» [ Employee Admin... 3 | Thursday | 04012024 Hadir 0742 1302 1714 1425
N 4 Friday 05/01/2024 Hadir 0747 130 1400 1730 320
~ [= Time Management
5 | Saturday | 06/01/2024 Hadir 1041 1338 1045 1335 283 0.0
{1 Time Data 3 Monday | 08/01/2024 Hadir 0743 1230 1301 1706 0.0
(@ Import Time ... 7 | Tuesday | 08/01/2024 Hadir 1230 1305 1740 1425
. 8 Wednesday | 10/01/2024 Hadir 0743 1230 1305 975
(@) Export Time ...
9 | Thursday | 1110172024 Hadir 0743 1230 1305 1727 0.0
£] Generate Wo... 10 Friday 12/01/2024 Hadir 0744 1200 1401 1728 10
{1 Generate Abs... 11| Saturday | 13/01/2024 Hadir 1029 1709 1030 1705 658 0.0
N 12 Sunday 14/01/2024 Hadir 133 1702 135 1700 542 0.0
] View Persona...
13 | Monday | 15012024 Hadir 0745 1230 1340 1311 0.0
{1 Generate Per... 14 | Tuesday | 16/01/2024 Hadir 0735 1230 1345 1754 0.0
~ [ Time Report 15 |Wednesday| 17/01/2024 Hadir 0748 1230 1345 1726 30
16 Thursday 18/01/2024 Hadir 0745 1230 1345 1730 0.0
() Attendan...
17 Friday | 19/012024 Hadir 0740 1204 1359 1751 0.0
[ sK Cuti 18 | Monday | 22/01/2024 Hadir 0744 1301 1345 1810 1425

PRPTTMTIMESHEET, PRPTTMTIMESHEET_INDUK

RDL:
PRPTTMTIMESHEET, PRPTTMTIMESHEET_INDUK

#3 - 06/12/2024 03:50 PM - Johanes Christian Kurni
- Status changed from QA Test to Revise

- Assignee changed from Johanes Christian Kurni to shofwan shiddiq
Shofwan mohon untuk di perbaiki lagi sesuai dengan diskusi kita rekshir

#4 - 06/13/2024 10:59 AM - shofwan shiddiq
- File clipboard-202406131058-poxbq.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Johanes Christian Kurni
MinovaES Menu

Timesheet
» [ My Workplace (ESS) Home e Report

~ [ Business Intelligence

Report Parameter
{1 HR Statistics

{1 Report Generator Report Result

{] Statistic Calculation
~ [ Human Resource

Nama AUFANUR ISTIQLAL Periode Timesheet ;01 January 2024 s/d 31 January 2024
~ [ HR Administration
NRK 18002233 Total Terlambat Pada Periode . 1339.0
» [3 Organization Ma... £ . 00002069
» [ Recruitment Ma...
» [ Employee Admin... 1 | Tuesday | 0200112024 Hadir 0737 1225 1301 1725 50
~ [ Time Management 2 |Wednesday| 0301/2024 Hadir 0744 1230 1350 1900 1710 1900 183 50
) 3 | Thursday | 0410172024 Hadir 0742 1302 1714 1425
£] Time Data -
4 Friday | 0501/2024 Hadir 0747 1130 1400 1730 320
(@) Import Time ...
@© Export Time ... 6 | Monday | 08/01/2024 Hadir 0743 1230 1301 1706 0.0
7 | Tuesday | 080172024 Hadir 1230 1305 1740 1425
1] Generate Wo...
8 [Wednesday| 10/01/2024 Hadir 0743 1230 1305 975
{1 Generate Abs... 9 | Thursday | 110172024 Hadir 0743 1230 1305 1727 0.0
] View Persona.. Friday | 12001/2024 Hadir 0744 1200 1401 1728 10

] Generate Per...
Dear Jo, revisi sudah di deploy

1. Apabila ada menit terlambat di hari itu, maka row kuning
2. Apabila hari flag FREE, maka row merah dan menit terlambat blank.

#5 - 06/13/2024 03:07 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Done

#6 - 07/15/2024 11:05 AM - Moch Alinafia
- Status changed from Closed to Assigned

- Assignee changed from Johanes Christian Kurni to shofwan shiddiq

table PCMEPGENPARAM
paramater PHRPA_BAS_EMPSUB_TYP_PARAM
yang gak ada di sini code employesub type nya tidak di hitung break out break in nya

#7 - 07/16/2024 12:16 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Moch Alinafia

Dear Ka Ali, sudah di ubah sesua request ya

1. Kotak yg kuning hanya untuk bagian kolom terlambatnya saja, tidak full 1 row
2. Kalo day flag nya Free, maka 1 row jadi merah
3. Perhitungan baru untuk employee yg tidak termasuk ke dalam sub type GENPARAM

UPDATE

SP:PRPTTMTIMESHEET

RDL: PRPTTMTIMESHEET

PCMEPGENPARAM BARU: TIMESHEET_BAS_EMPSUB

#8 - 07/16/2024 12:16 PM - shofwan shiddiq
- File clipboard-202407161216-fbdzx.png added
#9 - 07/22/2024 10:28 AM - Moch Alinafia
- Status changed from QA Test to Closed
